Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  package sabbus
  Definition Classes
    ant
- Break
- CompilationFailure
- CompilationPathProperty
- Compiler
- Compilers
- ForeignCompiler
- Make
- ScalacFork
- Settings
- TaskArgs
- Use

c

scala.tools.ant.sabbus

# Break 

###

#### class Break extends Task

Source
  Break.scala

Linear Supertypes
Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Break
2. Task
3. ProjectComponent
4. Cloneable
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Break()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Break to any2stringadd[Break] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Break, B)
   Implicit
     This member is added by an implicit conversion from Break to ArrowAssoc[Break] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  final def bindToOwner(arg0: Task): Unit
   Definition Classes
     Task
8.  def clone(): AnyRef
   Definition Classes
     ProjectComponent → AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (Break) ⇒ Boolean, msg: ⇒ Any): Break
   Implicit
     This member is added by an implicit conversion from Break to Ensuring[Break] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Break) ⇒ Boolean): Break
    Implicit
      This member is added by an implicit conversion from Break to Ensuring[Break] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Break
    Implicit
      This member is added by an implicit conversion from Break to Ensuring[Break] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Break
    Implicit
      This member is added by an implicit conversion from Break to Ensuring[Break] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def execute(): Unit
    Definition Classes
      Break → Task
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Break to StringFormat[Break] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def getDescription(): String
    Definition Classes
      ProjectComponent
20.  def getLocation(): Location
    Definition Classes
      ProjectComponent
21.  def getOwningTarget(): Target
    Definition Classes
      Task
22.  def getProject(): Project
    Definition Classes
      ProjectComponent
23.  def getRuntimeConfigurableWrapper(): RuntimeConfigurable
    Definition Classes
      Task
24.  def getTaskName(): String
    Definition Classes
      Task
25.  def getTaskType(): String
    Definition Classes
      Task
26.  def getWrapper(): RuntimeConfigurable
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
27.  def handleErrorFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
28.  def handleErrorOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
29.  def handleFlush(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
30.  def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )
31.  def handleOutput(arg0: String): Unit
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
32.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
33.  def init(): Unit
    Definition Classes
      Task
    Annotations
      @throws( ... )
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  final def isInvalid(): Boolean
    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
36.  def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit
    Definition Classes
      Task
37.  def log(arg0: java.lang.Throwable, arg1: Int): Unit
    Definition Classes
      Task
38.  def log(arg0: String, arg1: Int): Unit
    Definition Classes
      Task → ProjectComponent
39.  def log(arg0: String): Unit
    Definition Classes
      Task → ProjectComponent
40.  def maybeConfigure(): Unit
    Definition Classes
      Task
    Annotations
      @throws( ... )
41.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
42.  final def notify(): Unit
    Definition Classes
      AnyRef
43.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
44.  final def perform(): Unit
    Definition Classes
      Task
45.  def reconfigure(): Unit
    Definition Classes
      Task
46.  def setDescription(arg0: String): Unit
    Definition Classes
      ProjectComponent
47.  def setId(input: String): Unit
48.  def setLocation(arg0: Location): Unit
    Definition Classes
      ProjectComponent
49.  def setOwningTarget(arg0: Target): Unit
    Definition Classes
      Task
50.  def setProject(arg0: Project): Unit
    Definition Classes
      ProjectComponent
51.  def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit
    Definition Classes
      Task
52.  def setTaskName(arg0: String): Unit
    Definition Classes
      Task
53.  def setTaskType(arg0: String): Unit
    Definition Classes
      Task
54.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
55.  def toString(): String
    Definition Classes
      AnyRef → Any
56.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
58.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
59.  def →[B](y: B): (Break, B)
    Implicit
      This member is added by an implicit conversion from Break to ArrowAssoc[Break] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Break to any2stringadd[Break]

### Inherited by implicit conversion StringFormat from Break to StringFormat[Break]

### Inherited by implicit conversion Ensuring from Break to Ensuring[Break]

### Inherited by implicit conversion ArrowAssoc from Break to ArrowAssoc[Break]

### Ungrouped